package com.huiju.estateagents.cleancode;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.SysMenu;
import com.huiju.estateagents.entity.TaRole;
import com.huiju.estateagents.entity.TaRoleMenu;
import com.huiju.estateagents.service.ISysMenuService;
import com.huiju.estateagents.service.ITaRoleMenuService;
import com.huiju.estateagents.service.ITaRoleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

@RestController
@RequestMapping("/")
public class CleanCode {

    @Autowired
    private ISysMenuService sysMenuService;

    @Autowired
    private ITaRoleService taRoleService;

    @Autowired
    private ITaRoleMenuService taRoleMenuService;

    @RequestMapping(value = "/clean/menurole", method = RequestMethod.GET)
    public void helpActivityList() {
        List<SysMenu> sysMenuList = sysMenuService.list();

        QueryWrapper<TaRole> roleQueryWrapper = new QueryWrapper<>();
        roleQueryWrapper.eq("is_admin",1);
        List<TaRole> roleList = taRoleService.list(roleQueryWrapper);

        roleList.forEach(e -> {
            sysMenuList.forEach(s -> {
                TaRoleMenu taRoleMenu = new TaRoleMenu();
                taRoleMenu.setRoleId(e.getRoleId());
                taRoleMenu.setMenuId(s.getMenuId());
                taRoleMenuService.save(taRoleMenu);
            });
        });
    }
}
